GcubeApplication (opengcubeapplication 1.0.0-SNAPSHOT API)
Date: 2013-02-26

org.gcube.portlets.user.opengcubeapplication.entity

## Class GcubeApplication

- java.lang.Object
- - org.gcube.portlets.user.opengcubeapplication.entity.GcubeApplication

- All Implemented Interfaces:
    Serializable

      public class GcubeApplication
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GcubeApplication()`
    `GcubeApplication(String type)`
    `GcubeApplication(String type, String keyOID, String appId, ApplicationProfile appProfile)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAppId()`
    `ApplicationProfile` | `getAppProfile()`
    `String` | `getId()`
    `String` | `getKeyOID()`
    `String` | `getName()`
    `String` | `getType()`
    `void` | `setAppId(String appId)`
    `void` | `setAppProfile(ApplicationProfile appProfile)`
    `void` | `setId(String id)`
    `void` | `setKeyOID(String keyOID)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GcubeApplication

          public GcubeApplication(String type,
                          String keyOID,
                          String appId,
                          ApplicationProfile appProfile)

    - #### GcubeApplication

          public GcubeApplication()

    - #### GcubeApplication

          public GcubeApplication(String type)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getAppId

          public String getAppId()

    - #### getType

          public String getType()

    - #### getId

          public String getId()

    - #### setType

          public void setType(String type)

    - #### setId

          public void setId(String id)

    - #### getKeyOID

          public String getKeyOID()

    - #### getAppProfile

          public ApplicationProfile getAppProfile()

    - #### setKeyOID

          public void setKeyOID(String keyOID)

    - #### setAppProfile

          public void setAppProfile(ApplicationProfile appProfile)

    - #### setName

          public void setName(String name)

    - #### setAppId

          public void setAppId(String appId)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.